Approve a Fingerprint for the Connection
Approves a fingerprint, enabling Fivetran to trust it for a source database and establish connections via an SSH tunnel.
Request schema
Path parameters
connectionId
stringrequired
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
example:
4107c213907114059a5544ad8fa66c52
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Accept
string
default:
application/json
example:
application/json
Request
hash
stringrequired
Hash of the fingerprint.
example:
eUtPirI6yy...
public_key
stringrequired
The SSH public key.
example:
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC6 ... fivetran user key
Http + 1.1
POST
https://api.fivetran.com/v1/connections/4107c213907114059a5544ad8fa66c52/fingerprints
POST /v1/connections/4107c213907114059a5544ad8fa66c52/fingerprints HTTP/1.1 Accept: application/json Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 111 { "hash": "eUtPirI6yy...", "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC6 ... fivetran user key" }
Responses
200
Successful response
201
Successful response
400
Missing `hash` or `public_key` fields in request payload
404
Connection not found
201
id
stringrequired
The unique identifier of the fingerprint (Base64URL encoded hash of the fingerprint).
example:
Y29ubmVjdG9yIGZpbmdlcnByaW50IGhhc2g
hash
stringrequired
Hash of the fingerprint.
example:
eUtPirI6yy...
public_key
stringrequired
The SSH public key.
example:
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC6 ... fivetran user key
validated_date
stringrequired
Date when fingerprint has been validated and approved.
format:
date-time
example:
2024-01-01T00:00:00Z
validated_by
stringrequired
The unique identified for the user who has approved the fingerprint.
example:
user_id
{ "id": "Y29ubmVjdG9yIGZpbmdlcnByaW50IGhhc2g", "hash": "eUtPirI6yy...", "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC6 ... fivetran user key", "validated_date": "2024-01-01T00:00:00Z", "validated_by": "user_id" }